import React from 'react';
import { useFonts } from 'expo-font';
import AppLoading from 'expo-app-loading';
import { StyleSheet, View } from 'react-native';
import { PxBubble } from '@proximus/react-native-common-ui/lib/bubbles';
export default function App() {
  const [loaded] = useFonts({
    // prettier-ignore
    'Proximus-Bold': require('@proximus/react-native-font-icons/lib/assets/fonts/Proximus-Bold.ttf'),
    'Proximus-Regular': require('@proximus/react-native-font-icons/lib/assets/fonts/Proximus-Regular.ttf'),
    Proximus: require('@proximus/react-native-font-icons/lib/assets/fonts/Proximus-Regular.ttf'),
  });

  if (!loaded) {
    return <AppLoading />;
  }
  return (
    <View style={styles.container}>
      <View style={{ marginBottom: 10 }}>
        <PxBubble title="Webdeal" invert={false} webdeal titleBold />
      </View>
      <View style={{ marginBottom: 10 }}>
        <PxBubble title="Webdeal" invert webdeal titleBold />
      </View>
      <View style={{ marginBottom: 10 }}>
        <PxBubble title="Try&Buy" invert={false} webdeal={false} titleBold />
      </View>
      <View style={{ marginBottom: 10 }}>
        <PxBubble title="Try&Buy" invert webdeal={false} titleBold />
      </View>
    </View>
  );
}
const styles = StyleSheet.create({
  container: {
    flex: 1,
    justifyContent: 'center',
    alignItems: 'center',
  },
});
