import React from 'react';
import { StyleSheet, View } from 'react-native';
import { useFonts } from 'expo-font';
import AppLoading from 'expo-app-loading';
import { ProgressIndicator } from '@proximus/react-native-common-ui/lib/progressIndicator';

export default function App() {
  const [loaded] = useFonts({
    'Proximus-Bold': require('@proximus/react-native-font-icons/lib/assets/fonts/Proximus-Bold.ttf'),
    'Proximus-Regular': require('@proximus/react-native-font-icons/lib/assets/fonts/Proximus-Regular.ttf'),
    Proximus: require('@proximus/react-native-font-icons/lib/assets/fonts/Proximus-Regular.ttf'),
  });

  if (!loaded) {
    return <AppLoading />;
  }

  return (
    <View style={styles.container}>
      <View style={styles.viewRow}>
        <ProgressIndicator
          stepLabels={['Step1', 'Step2', 'Step3']}
          currentStepIndex={0}
        />
      </View>
      <View style={styles.viewRow}>
        <ProgressIndicator
          stepLabels={['Step1', 'Step2', 'Step3', 'Step4', 'Step5']}
          currentStepIndex={2}
        />
      </View>
      <View style={styles.viewRow}>
        <ProgressIndicator
          stepLabels={[
            'Step1',
            'Step2',
            'Step3',
            'Step4',
            'Step5',
            'Step6',
            'Step7',
          ]}
          currentStepIndex={6}
        />
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    justifyContent: 'center',
    padding: 20,
  },
  viewRow: {
    marginBottom: 10,
  },
});
