import React from 'react';
import { StyleSheet, View } from 'react-native';
import { useFonts } from 'expo-font';
import { Txt3, Txt7 } from '@proximus/react-native-common-ui/lib/texts/v7/Txt';

export default function App() {
  const loaded = useFonts({
    'Proximus-Bold': require('@proximus/react-native-font-icons/lib/assets/fonts/Proximus-Bold.ttf'),
    'Proximus-Regular': require('@proximus/react-native-font-icons/lib/assets/fonts/Proximus-Regular.ttf'),
    'Proximus-Light': require('@proximus/react-native-font-icons/lib/assets/fonts/Proximus-Light.ttf'),
    'Proximus': require('@proximus/react-native-font-icons/lib/assets/fonts/Proximus-Regular.ttf'),
    'Proximus-ExtraBold': require('@proximus/react-native-font-icons/lib/assets/fonts/Proximus-ExtraBold.ttf'),
  });

  if (!loaded) {
    return <View />;
  }

  return (
    <View style={styles.container}>
      <Txt7>Normal paragraph</Txt7>
      <Txt3>Paragraph with Txt3</Txt3>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
    backgroundColor: '#fff',
    justifyContent: 'center',
    padding: 20,
  },
});
